Performance Manager Create Perf Interval

Performance Manager Create Perf Interval
Adds a new historical interval.

Deprecated as of API 2.5, use UpdatePerfInterval. The default historical intervals can be modified, but they cannot be created.

Adds a new historical interval.

Sampling period for new interval must be a multiple of an existing interval; must comprise a longer period of time; and must be uniquely named.

Required privileges: Performance.ModifyIntervals

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/PerformanceManager/{moId}/CreatePerfInterval
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case PerformanceManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
CreatePerfIntervalRequestType of type(s) application/json
Required

Show optional properties

{
    "intervalId": {}
}
{
    "intervalId": {
        "_typeName": "string",
        "key": 0,
        "samplingPeriod": 0,
        "name": "string",
        "length": 0,
        "level": 0,
        "enabled": false
    }
}
intervalId
Required

A custom interval, specified as the number of seconds to hold data in the database, a user-specified unique name, and a sampling period (in seconds).

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"intervalId":"{}"}' https://{api_host}/sdk/vim25/{release}/PerformanceManager/{moId}/CreatePerfInterval